Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1375399 - [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A
Summary: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1388036
TreeView+ depends on / blocked
 
Reported: 2016-09-13 02:19 UTC by Steven Ellis
Modified: 2018-03-10 04:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1388036 (view as bug list)
Environment:
Last Closed: 2017-08-08 17:19:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 91883 None None None 2016-09-13 02:19:20 UTC
Launchpad 1525390 None None None 2016-09-13 02:20:01 UTC

Description Steven Ellis 2016-09-13 02:19:21 UTC
Description of problem:

Large number of Errors logged rlating to Atomix update failure

Version-Release number of selected component (if applicable):

libva-intel-driver-1.6.2-1.fc23.x86_64
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

How reproducible:


Steps to Reproduce:
1. Login to Gnome 3 desktop
2. Browse web using a combination of Firefox and google-chrome
3.

Actual results:

[242152.699758] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=170095 end=170096) time 160 us, min 763, max 767, scanline start 761, end 768
[242511.960981] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=191641 end=191642) time 338 us, min 763, max 767, scanline start 751, end 752
[244011.384298] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=281566 end=281567) time 375 us, min 763, max 767, scanline start 754, end 772
[247211.704170] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=58304 end=58305) time 281 us, min 763, max 767, scanline start 760, end 774
[249008.294125] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=166051 end=166052) time 261 us, min 763, max 767, scanline start 757, end 770
[253454.108239] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=66872 end=66873) time 306 us, min 763, max 767, scanline start 761, end 776
[330690.660185] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=104724 end=104725) time 374 us, min 763, max 767, scanline start 762, end 780
[333693.925303] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=284839 end=284840) time 346 us, min 763, max 767, scanline start 762, end 778
[413078.390791] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=30687 end=30688) time 178 us, min 763, max 767, scanline start 759, end 768
[493832.327944] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=69400 end=69401) time 167 us, min 763, max 767, scanline start 760, end 768
[495087.692051] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=144688 end=144689) time 2121 us, min 763, max 767, scanline start 687, end 787
[504900.331682] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=22804 end=22805) time 308 us, min 763, max 767, scanline start 761, end 776
[507588.105110] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=183998 end=183999) time 317 us, min 763, max 767, scanline start 759, end 759
[680168.029055] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=8811 end=8812) time 187 us, min 763, max 767, scanline start 760, end 769
[836583.514930] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=87729 end=87730) time 203 us, min 763, max 767, scanline start 762, end 771
[841247.675803] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=367453 end=367454) time 292 us, min 763, max 767, scanline start 759, end 760
[844517.927412] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=563580 end=563581) time 204 us, min 763, max 767, scanline start 762, end 771
[848232.571306] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=66943 end=66944) time 181 us, min 763, max 767, scanline start 762, end 763
[849690.759344] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=154395 end=154396) time 171 us, min 763, max 767, scanline start 762, end 770
[861653.751266] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=24086 end=24087) time 302 us, min 763, max 767, scanline start 755, end 770


Expected results:

No Logged errors

Additional info:

Comment 1 Steven Ellis 2016-09-13 02:25:16 UTC
More details - Hardware is an Acer ES1-431 with integrated N3150 CPU.

$ uname -r
4.6.7-200.fc23.x86_64


00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 21) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 1009
        Flags: bus master, fast devsel, latency 0, IRQ 143
        Memory at 90000000 (64-bit, non-prefetchable) [size=16M]
        Memory at 80000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 2000 [size=64]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [d0] Power Management version 2
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [b0] Vendor Specific Information: Len=07 <?>
        Kernel driver in use: i915
        Kernel modules: i915

Comment 2 Steven Ellis 2016-09-13 02:28:29 UTC
Freedeskop tracker suggests changing value of enable_psr to zero

Confirming current default version is "1"

$ cat /sys/module/i915/parameters/enable_psr 
1

Comment 3 Steven Ellis 2016-09-13 02:31:12 UTC
In addition looking at article
 * http://blog.vivi.eng.br/?p=187


# cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Sink_Support: no
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: yes
HW Enabled & Active bit: no

Comment 4 Mykola Dvornik 2016-10-19 09:24:18 UTC
My Dell XPS 13 (9343) running F24 the system hangs after being idle for some time. The issue appeared in 4.7 (when i915 PSR was enabled by default) and remains unresolved in 4.8.1. Setting i915.enable_psr=0 fixes the problem. In my opinion this should be considered as blocker.

Comment 5 Michael Vorburger 2016-11-03 11:21:32 UTC
FYI: This problem (external screen flickering, with dmesg showing the errors above PLUS "[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun") also affects a number of Red Hatters, at least myself and a colleague I know is hit by this, on our standard issue Skylake-based Lenovo T460s under Fedora 24 with the latest updates, today that's a 4.8.4-200.fc24.x86_64.  Related full logs just posted in https://bugs.freedesktop.org/show_bug.cgi?id=94337#c12. Also FYI if this is of any interest, on my system:

# cat /sys/module/i915/parameters/enable_psr 
0

# cat /sys/kernel/debug/dri/0/i915_edp_psr_status 
Sink_Support: no
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: no
HW Enabled & Active bit: no

If we can help move this forward towards a resolution, please let us know what additional info we can provide, if any.

Comment 6 Michael Vorburger 2016-11-03 11:31:02 UTC
Related to or duplicate of bug 1355851, bug 1378312, bug 1313662 ?

Comment 7 Hans de Goede 2016-11-03 12:08:54 UTC
(In reply to Michael Vorburger from comment #5)
> FYI: This problem (external screen flickering, with dmesg showing the errors
> above PLUS "[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU
> pipe B FIFO underrun") also affects a number of Red Hatters, at least myself
> and a colleague I know is hit by this, on our standard issue Skylake-based
> Lenovo T460s under Fedora 24 with the latest updates

There have been a number of skylake gfx regressions in the kernel starting with 4.7, which are fixed in 4.9-rc1 and recently these fixes where backported to 4.8.

Try downloading kernel-core-....rpm and kernel-modules-...rpm for your arch (x86_64) from either:

4.8 with backports:
http://koji.fedoraproject.org/koji/buildinfo?buildID=814638

4.9:
http://koji.fedoraproject.org/koji/buildinfo?buildID=813966

Save both of them in a directory and in this directory do:

sudo rpm -ivh kenrel*.rpm

Note "-ivh", not "-Uvh", so that you keep your old kernel and can always boot back into the old (mostly working) kernel.

Hopefully this will improve things.

Comment 8 Michael Vorburger 2016-11-03 16:21:36 UTC
> There have been a number of skylake gfx regressions in the kernel starting
> with 4.7, which are fixed in 4.9-rc1 and recently these fixes where
> backported to 4.8.
> Try downloading kernel (...)

OK I've just done that.. if you don't see me commenting back here in the coming days, then you can assume that this did the trick and fixed it (at least for the Lenovo T460s); if I see the flickering again, I'll let you know.  BTW: Thank You for your clear instructions (I wouldn't have been able to find where to get these from without).

Comment 9 Michael Vorburger 2016-11-07 17:58:51 UTC
FYI: After running for 2 days with the 4.8.6-200.fc24.x86_64, the Good News is that -so far- I haven't seen the external screen flicker anymore; but the Bad News is that dmesg still shows a lot of [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A / B / C... This is still on my Lenovo T460s; which also has the following kind of entries, which I have no idea if they are in any way related to this, just FYI:

CPU0: Core temperature above threshold, cpu clock throttled (total events = 6878)
CPU0: Package temperature above threshold, cpu clock throttled (total events = 7856)
CPU1 / CPU2 / CPU3 dito.

mce: [Hardware Error]: Machine check events logged

Bluetooth: hci0: Setting Intel event mask failed (-16)

Buffer I/O error on dev sdb1, logical block 1606583, lost sync page write
JBD2: Error -5 detected when updating journal superblock for sdb1-8.

Comment 10 Mykola Dvornik 2016-11-09 10:36:04 UTC
On 4.8.6 I don't experience hangs anymore. However when system goes back from the locked/dim screen state the display is not updated on keyboard input. The update is could only be triggered by mouse / touchpad events.

Comment 11 Fedora End Of Life 2016-11-25 09:34:43 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Michael Vorburger 2016-11-28 09:06:16 UTC
> you are encouraged  change the 'version' to a later Fedora version

done; changed from 23 to 24

Comment 13 Pierguido Lambri 2017-04-12 11:27:15 UTC
I'm still getting this on F25:

ยป dmesg| grep drm |tail
[68328.854297] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=13154 end=13155) time 143 us, min 1073, max 1079, scanline start 1072, end 1082
[76266.067784] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=22000 end=22001) time 157 us, min 1073, max 1079, scanline start 1070, end 1081
[77937.736010] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=122334 end=122335) time 145 us, min 1073, max 1079, scanline start 1070, end 1080
[79413.470438] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=210908 end=210909) time 111 us, min 1073, max 1079, scanline start 1072, end 1080
[82565.756167] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=399969 end=399970) time 149 us, min 1073, max 1079, scanline start 1070, end 1080
[84824.892262] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=535517 end=535518) time 163 us, min 1073, max 1079, scanline start 1072, end 1083
[85206.345705] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=558598 end=558599) time 145 us, min 1073, max 1079, scanline start 1072, end 1082
[85452.379047] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=573365 end=573366) time 143 us, min 1073, max 1079, scanline start 1070, end 1080
[86446.527647] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=632815 end=632816) time 234 us, min 1073, max 1079, scanline start 1066, end 1082
[86888.294775] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=659321 end=659322) time 162 us, min 1073, max 1079, scanline start 1070, end 1081


kernel 4.10.8-200.fc25.x86_64

BTW I've got also the other issues that Michael reports in comment #9.

Comment 14 Phea Duch 2017-07-17 10:42:18 UTC
I'm experiencing the same system hangs in Rawhide

[pd@XPS ~]$ journalctl -xb -1 -k -o verbose | grep drm
    MESSAGE=[drm] Memory usable by graphics device = 4096M
    MESSAGE=fb: switching to inteldrmfb from EFI VGA
    MESSAGE=[drm] Replacing VGA console driver
    MESSAGE=[drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
    MESSAGE=[drm] Driver supports precise vblank timestamp query.
    MESSAGE=[drm] Finished loading DMC firmware i915/skl_dmc_ver1_26.bin (v1.26)
    MESSAGE=[drm] Initialized i915 1.6.0 20170403 for 0000:00:02.0 on minor 0
    MESSAGE=fbcon: inteldrmfb (fb0) is primary device
    MESSAGE=i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
    MESSAGE=[drm] RC6 on
    MESSAGE=[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
    MESSAGE=[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=50733 end=50734) time 169 us, min 1073, max 1079, scanline start 1068, end 1080

Kernel: 4.13.0-0.rc0.git6.1.fc27.x86_64

Comment 15 Fedora End Of Life 2017-07-25 23:00:21 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 17:19:31 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.